/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.exif.provider;

import javax.annotation.Nonnull;
import it.tidalwave.image.metadata.EXIF;
import it.tidalwave.metadata.MetadataItemHolder;
import it.tidalwave.metadata.spi.MetadataItemProviderSupport;
import it.tidalwave.metadata.tiff.provider.DirectoryMetadataItemHolder;

/*******************************************************************************
 *
 * This class provides support for {@link EXIF} metadata items.
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class EXIFProvider extends MetadataItemProviderSupport<EXIF>
  {
    public EXIFProvider()
      {
        super(EXIF.class, MetadataItemProviderSupport.CreationStrategy.RAW);
      }

    @Override
    @Nonnull
    protected MetadataItemHolder<EXIF> createMetadataHolder (@Nonnull final EXIF exif)
      {
        return new DirectoryMetadataItemHolder<EXIF>(exif);
      }
  }
